## mx4j.monitor
Class MX4JCounterMonitor.CounterMonitorInfo

    java.lang.Object
      mx4j.monitor.MX4JMonitor.MonitorInfo
          mx4j.monitor.MX4JCounterMonitor.CounterMonitorInfo

Enclosing class:
  MX4JCounterMonitor

protected class MX4JCounterMonitor.CounterMonitorInfo
extends MX4JMonitor.MonitorInfo

Constructor Summary
`protected` `MX4JCounterMonitor.CounterMonitorInfo()`

Method Summary
`void` `clearNotificationStatus()`
`java.lang.Number` `getCounter()`
`java.lang.Number` `getGauge()`
`java.lang.Number` `getThreshold()`
`long` `getTimestamp()`
`boolean` `isThresholdNotified()`
`void` `setCounter(java.lang.Number counter)`
`void` `setGauge(java.lang.Number gauge)`
`void` `setThreshold(java.lang.Number threshold)`
`void` `setThresholdNotified(boolean thresholdNotified)`
`void` `setTimestamp(long timestamp)`
`java.lang.String` `toString()`

Methods inherited from class mx4j.monitor.MX4JMonitor.MonitorInfo
`isErrorNotified, setErrorNotified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MX4JCounterMonitor.CounterMonitorInfo

    protected MX4JCounterMonitor.CounterMonitorInfo()

Method Detail

### setThreshold

    public void setThreshold(java.lang.Number threshold)

### getThreshold

    public java.lang.Number getThreshold()

### setThresholdNotified

    public void setThresholdNotified(boolean thresholdNotified)

### isThresholdNotified

    public boolean isThresholdNotified()

### setCounter

    public void setCounter(java.lang.Number counter)

### getCounter

    public java.lang.Number getCounter()

### setGauge

    public void setGauge(java.lang.Number gauge)

### getGauge

    public java.lang.Number getGauge()

### setTimestamp

    public void setTimestamp(long timestamp)

### getTimestamp

    public long getTimestamp()

### clearNotificationStatus

    public void clearNotificationStatus()

  Overrides:
    `clearNotificationStatus` in class `MX4JMonitor.MonitorInfo`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `MX4JMonitor.MonitorInfo`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.